package com.dgtly.system.mapper;

import com.dgtly.system.domain.SysUserAuthorRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author dgtly
 * @date 2022-03-23
 */
public interface SysUserAuthorRelMapper
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param userId 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public SysUserAuthorRel selectSysUserAuthorRelById(Long userId);

    public List<Long> selectSysUserAuthorRelListById(Long userId);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param sysUserAuthorRel 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SysUserAuthorRel> selectSysUserAuthorRelList(SysUserAuthorRel sysUserAuthorRel);

    /**
     * 新增【请填写功能名称】
     * 
     * @param sysUserAuthorRel 【请填写功能名称】
     * @return 结果
     */
    public int insertSysUserAuthorRel(SysUserAuthorRel sysUserAuthorRel);

    /**
     * 修改【请填写功能名称】
     * 
     * @param sysUserAuthorRel 【请填写功能名称】
     * @return 结果
     */
    public int updateSysUserAuthorRel(SysUserAuthorRel sysUserAuthorRel);

    /**
     * 删除【请填写功能名称】
     * 
     * @param userId 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteSysUserAuthorRelById(Long userId);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param userIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysUserAuthorRelByIds(String[] userIds);

    public int batchRel(List<SysUserAuthorRel> roleMenuList);

    public SysUserAuthorRel selectSysUserAuthorRelByUIdAndAId(@Param("userId") Long userId,@Param("authorId") Long authorId);
}
